org.apache.cassandra.db

## Class ColumnFamilyStoreCQLHelper

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamilyStoreCQLHelper

    public class ColumnFamilyStoreCQLHelper
    extends java.lang.Object

Helper methods to represent CFMetadata and related objects in CQL format

### Constructor Summary

Constructors
Constructor and Description
`ColumnFamilyStoreCQLHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<java.lang.String>` `dumpReCreateStatements(CFMetaData metadata)`
`static java.lang.String` `getCFMetadataAsCQL(CFMetaData metadata, boolean includeDroppedColumns)` Build a CQL String representation of Column Family Metadata
`static java.util.List<java.lang.String>` `getDroppedColumnsAsCQL(CFMetaData metadata)` Build a CQL String representation of Dropped Columns in the given Column Family.
`static java.util.List<java.lang.String>` `getIndexesAsCQL(CFMetaData metadata)` Build a CQL String representation of Indexes on columns in the given Column Family
`static java.util.List<java.lang.String>` `getUserTypesAsCQL(CFMetaData metadata)` Build a CQL String representation of User Types used in the given Column Family.
`static boolean` `isCqlCompatible(CFMetaData metaData)` Whether or not the given metadata is compatible / representable with CQL Language

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnFamilyStoreCQLHelper

    public ColumnFamilyStoreCQLHelper()

### Method Detail

#### dumpReCreateStatements

    public static java.util.List<java.lang.String> dumpReCreateStatements(CFMetaData metadata)

#### getCFMetadataAsCQL

    public static java.lang.String getCFMetadataAsCQL(CFMetaData metadata,
                                                      boolean includeDroppedColumns)

Build a CQL String representation of Column Family Metadata

#### getUserTypesAsCQL

    public static java.util.List<java.lang.String> getUserTypesAsCQL(CFMetaData metadata)

Build a CQL String representation of User Types used in the given Column Family. Type order is ensured as types are built incrementally: from the innermost (most nested) to the outermost.

#### getDroppedColumnsAsCQL

    public static java.util.List<java.lang.String> getDroppedColumnsAsCQL(CFMetaData metadata)

Build a CQL String representation of Dropped Columns in the given Column Family. If the column was dropped once, but is now re-created `ADD` will be appended accordingly.

#### getIndexesAsCQL

    public static java.util.List<java.lang.String> getIndexesAsCQL(CFMetaData metadata)

Build a CQL String representation of Indexes on columns in the given Column Family

#### isCqlCompatible

    public static boolean isCqlCompatible(CFMetaData metaData)

Whether or not the given metadata is compatible / representable with CQL Language